> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create notification webhook

> Creates a webhook destination and returns the generated signing secret. The secret is shown only once.



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json put /v1/notification/webhook
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/notification/webhook:
    put:
      tags:
        - Notification
      summary: Create notification webhook
      description: >-
        Creates a webhook destination and returns the generated signing secret.
        The secret is shown only once.
      operationId: NotificationController_createNotificationWebhook
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateNotificationWebhookDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateNotificationWebhookResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    CreateNotificationWebhookDto:
      type: object
      properties:
        name:
          type: string
          description: Human-readable label for this webhook destination
        url:
          type: string
          description: URL to POST notification payloads to
        enabled:
          type: boolean
          default: true
        notificationTypes:
          type: array
          nullable: true
          description: >-
            Notification types that trigger this webhook. Null/omitted means all
            types.
          items:
            type: string
            enum:
              - NEW_CASE_ESCALATION
              - NEW_SECURITY_EVENT
              - NEW_CRITICAL_DEFECT
              - ACCOUNT_SUMMARY
              - INTEGRATION_HEALTH
      required:
        - name
        - url
    CreateNotificationWebhookResponse:
      type: object
      properties:
        secret:
          type: string
          description: The generated signing secret (shown once)
        webhook:
          $ref: '#/components/schemas/NotificationWebhook'
      required:
        - secret
        - webhook
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
    NotificationWebhook:
      type: object
      properties:
        id:
          type: string
        teamId:
          type: string
        name:
          type: string
        url:
          type: string
        enabled:
          type: boolean
        notificationTypes:
          type: array
          nullable: true
          items:
            type: string
            enum:
              - NEW_CASE_ESCALATION
              - NEW_SECURITY_EVENT
              - NEW_CRITICAL_DEFECT
              - ACCOUNT_SUMMARY
              - INTEGRATION_HEALTH
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - teamId
        - name
        - url
        - enabled
        - createdAt
        - updatedAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````